al_transpose_transform(3)

NAME

al_transpose_transform - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_transpose_transform(ALLEGRO_TRANSFORM *trans)

DESCRIPTION

Transposes the matrix of the given transform. This can be used for inversing a rotation transform. For example:

    al_build_camera_transform(camera, 0, 0, 0, x, y, z, xu, yu, zu)
    al_copy_transform(inverse, camera)
    al_transpose_transform(camera)
    // Now "inverse" will be a transformation rotating in the opposite
    // direction from "camera". Note that this only works if the camera
    // position is 0/0/0 as in the example.

SINCE

5.2.5